Bug 1417730 - missing dependencies like pygments
Summary: missing dependencies like pygments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpie
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 19:13 UTC by Igor Gnatenko
Modified: 2017-03-23 01:20 UTC (History)
2 users (show)

Fixed In Version: httpie-0.9.4-7.fc25 httpie-0.9.4-8.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 01:20:09 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-30 19:13:12 UTC
[brain@ignatenko-w541 fedora-ansible]$ sudo dnf install /usr/bin/http
[sudo] password for brain: 
Last metadata expiration check: 2:36:03 ago on Mon Jan 30 17:35:32 2017 CET.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                          Arch                                             Version                                                 Repository                                         Size
===================================================================================================================================================================================================================
Installing:
 httpie                                           noarch                                           0.9.4-5.fc26                                            rawhide                                           106 k

Transaction Summary
===================================================================================================================================================================================================================
Install  1 Package

Total download size: 106 k
Installed size: 409 k
Is this ok [y/N]: y
Downloading Packages:
httpie-0.9.4-5.fc26.noarch.rpm                                                                                                                                                     1.1 MB/s | 106 kB     00:00    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                               62 kB/s | 106 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : httpie-0.9.4-5.fc26.noarch                                                                                                                                                                     1/1 
  Verifying   : httpie-0.9.4-5.fc26.noarch                                                                                                                                                                     1/1 

Installed:
  httpie.noarch 0.9.4-5.fc26                                                                                                                                                                                       

Complete!
[brain@ignatenko-w541 fedora-ansible]$ http get https://apps.fedoraproject.org/datagrepper/raw user==ignatenkobrain delta==172800
Traceback (most recent call last):
  File "/usr/bin/http", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3019, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3032, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 655, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 963, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 849, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'Pygments>=1.4' distribution was not found and is required by httpie

Comment 1 Fedora Update System 2017-02-28 03:46:33 UTC
httpie-0.9.4-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c86c51d5f

Comment 2 Fedora Update System 2017-02-28 03:46:41 UTC
httpie-0.9.4-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb559a25fd

Comment 3 Fedora End Of Life 2017-02-28 11:08:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora Update System 2017-03-01 02:51:32 UTC
httpie-0.9.4-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb559a25fd

Comment 5 Fedora Update System 2017-03-01 02:53:57 UTC
httpie-0.9.4-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c86c51d5f

Comment 6 Fedora Update System 2017-03-06 02:51:31 UTC
httpie-0.9.4-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-03-10 22:53:20 UTC
httpie-0.9.4-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-11d8c3ea44

Comment 8 Fedora Update System 2017-03-11 13:54:19 UTC
httpie-0.9.4-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-11d8c3ea44

Comment 9 Fedora Update System 2017-03-23 01:20:09 UTC
httpie-0.9.4-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.